<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: /home/dan/work/DUNE/dune-wib.firmware/trunk/cores/SI5338_MEM.vhd Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_51d9c9f08f6806a0f97badf342e5b4d7.html">cores</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SI5338_MEM.vhd</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="keyword">-- megafunction wizard: %ROM: 1-PORT%</span><span class="keyword"></span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="keyword">-- GENERATION: STANDARD</span><span class="keyword"></span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="keyword">-- VERSION: WM1.</span><span class="vhdllogic">0</span><span class="keyword"></span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="keyword">-- MODULE: altsyncram </span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="keyword"></span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="keyword">-- ============================================================</span><span class="keyword"></span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="keyword">-- <span class="vhdlkeyword">File</span> Name: SI5338_MEM.vhd</span><span class="keyword"></span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="keyword">-- Megafunction Name(s):</span><span class="keyword"></span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="keyword">--          altsyncram</span><span class="keyword"></span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="keyword">--</span><span class="keyword"></span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="keyword">-- Simulation <span class="vhdlkeyword">Library</span> Files(s):</span><span class="keyword"></span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="keyword">--          altera_mf</span><span class="keyword"></span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="keyword">-- ============================================================</span><span class="keyword"></span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="keyword">-- ************************************************************</span><span class="keyword"></span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">-- THIS <span class="vhdlkeyword">IS</span> A WIZARD-GENERATED <span class="vhdlkeyword">FILE</span>. DO <span class="vhdlkeyword">NOT</span> EDIT THIS FILE!</span><span class="keyword"></span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">--</span><span class="keyword"></span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keyword">-- </span><span class="vhdllogic">14</span>.<span class="vhdllogic">1</span>.<span class="vhdllogic">0</span> Build <span class="vhdllogic">186</span> 12/03/2014 SJ Full Version<span class="keyword"></span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">-- ************************************************************</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword"></span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">--Copyright (C) 1991-2014 Altera Corporation. <span class="vhdlkeyword">All</span> rights reserved.</span><span class="keyword"></span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">--Your <span class="vhdlkeyword">use</span> <span class="vhdlkeyword">of</span> Altera Corporation&#39;s design tools, logic functions </span><span class="keyword"></span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">--and other software <span class="vhdlkeyword">and</span> tools, <span class="vhdlkeyword">and</span> its AMPP partner logic </span><span class="keyword"></span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">--functions, <span class="vhdlkeyword">and</span> any output files from any <span class="vhdlkeyword">of</span> the foregoing </span><span class="keyword"></span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">--(including device programming <span class="vhdlkeyword">or</span> simulation files), <span class="vhdlkeyword">and</span> any </span><span class="keyword"></span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">--associated documentation <span class="vhdlkeyword">or</span> information are expressly subject </span><span class="keyword"></span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">--to the terms <span class="vhdlkeyword">and</span> conditions <span class="vhdlkeyword">of</span> the Altera Program License </span><span class="keyword"></span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keyword">--Subscription Agreement, the Altera Quartus II License Agreement,</span><span class="keyword"></span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">--the Altera MegaCore <span class="vhdlkeyword">Function</span> License Agreement, <span class="vhdlkeyword">or</span> other </span><span class="keyword"></span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keyword">--applicable license agreement, including, without limitation, </span><span class="keyword"></span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keyword">--that your <span class="vhdlkeyword">use</span> <span class="vhdlkeyword">is</span> <span class="vhdlkeyword">for</span> the sole purpose <span class="vhdlkeyword">of</span> programming logic </span><span class="keyword"></span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">--devices manufactured by Altera <span class="vhdlkeyword">and</span> sold by Altera <span class="vhdlkeyword">or</span> its </span><span class="keyword"></span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="keyword">--authorized distributors.  Please refer <span class="vhdlkeyword">to</span> the applicable </span><span class="keyword"></span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keyword">--agreement <span class="vhdlkeyword">for</span> further details.</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="vhdlkeyword">LIBRARY </span><span class="keywordflow">ieee</span>;</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="vhdlkeyword">USE </span>ieee.std_logic_1164.<span class="vhdlkeyword">all</span>;</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="vhdlkeyword">LIBRARY </span><span class="keywordflow">altera_mf</span>;</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="vhdlkeyword">USE </span>altera_mf.altera_mf_components.<span class="vhdlkeyword">all</span>;</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div>
<div class="line"><a name="l00043"></a><span class="lineno"><a class="code" href="classSI5338__MEM.html">   43</a></span>&#160;<span class="keywordflow">ENTITY </span><a class="code" href="classSI5338__MEM.html">SI5338_MEM</a> <span class="vhdlkeyword">IS</span></div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    <span class="vhdlkeyword">PORT</span></div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    <span class="vhdlchar">(</span></div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;        <span class="vhdlchar">address</span>     <span class="vhdlchar">:</span> <span class="vhdlkeyword">IN</span> <span class="comment">STD_LOGIC_VECTOR</span> <span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">8</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;        <span class="vhdlchar">clock</span>       <span class="vhdlchar">:</span> <span class="vhdlkeyword">IN</span> <span class="comment">STD_LOGIC</span>  <span class="vhdlchar">:=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">1</span><span class="vhdlchar">&#39;</span>;</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;        <span class="vhdlchar">q</span>       <span class="vhdlchar">:</span> <span class="vhdlkeyword">OUT</span> <span class="comment">STD_LOGIC_VECTOR</span> <span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">23</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span></div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    <span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="vhdlkeyword">END</span> <span class="vhdlchar">SI5338_MEM</span>;</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div>
<div class="line"><a name="l00053"></a><span class="lineno"><a class="code" href="classsi5338__mem_1_1SYN.html">   53</a></span>&#160;<span class="vhdlkeyword">ARCHITECTURE</span> SYN <span class="vhdlkeyword">OF</span> si5338_mem IS</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    <span class="vhdlkeyword">SIGNAL</span> <span class="vhdlchar">sub_wire0</span>    <span class="vhdlchar">:</span> <span class="comment">STD_LOGIC_VECTOR</span> <span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">23</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<span class="vhdlkeyword">BEGIN</span></div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    <span class="vhdlchar">q</span>    <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">sub_wire0</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">23</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    altsyncram_component : altsyncram</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    <span class="vhdlkeyword">GENERIC</span> <span class="vhdlkeyword">MAP</span> (</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;        address_aclr_a  =&gt; <span class="keyword">&quot;NONE&quot;</span>,</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;        clock_enable_input_a =&gt; <span class="keyword">&quot;BYPASS&quot;</span>,</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;        clock_enable_output_a  =&gt; <span class="keyword">&quot;BYPASS&quot;</span>,</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;        init_file  =&gt; <span class="keyword">&quot;./src/timing_system/Si5338_ROM.mif&quot;</span>,</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;        intended_device_family  =&gt; <span class="keyword">&quot;Arria V&quot;</span> ,</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;        lpm_hint  =&gt; <span class="keyword">&quot;ENABLE_RUNTIME_MOD=NO&quot;</span> ,</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;        lpm_type  =&gt; <span class="keyword">&quot;altsyncram&quot;</span>,</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;        numwords_a  =&gt; <span class="vhdllogic">512</span>,</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;        operation_mode  =&gt; <span class="keyword">&quot;ROM&quot;</span>,</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;        outdata_aclr_a  =&gt; <span class="keyword">&quot;NONE&quot;</span>,</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;        outdata_reg_a  =&gt; <span class="keyword">&quot;UNREGISTERED&quot;</span>,</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;        widthad_a  =&gt; <span class="vhdllogic">9</span>,</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;        width_a  =&gt; <span class="vhdllogic">24</span>,</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;        width_byteena_a  =&gt; <span class="vhdllogic">1</span></div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    <span class="vhdlchar">)</span></div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    <span class="vhdlkeyword">PORT</span> <span class="vhdlkeyword">MAP</span> (</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;        address_a  =&gt; address,</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;        clock0  =&gt; clock,</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;        q_a  =&gt; sub_wire0 </div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    <span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;<span class="vhdlkeyword">END</span> <span class="vhdlchar">SYN</span>;</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;<span class="keyword"></span></div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;<span class="keyword">-- ============================================================</span><span class="keyword"></span></div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;<span class="keyword">-- CNX <span class="vhdlkeyword">file</span> retrieval info</span><span class="keyword"></span></div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;<span class="keyword">-- ============================================================</span><span class="keyword"></span></div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;<span class="keyword">-- Retrieval info: PRIVATE: ADDRESSSTALL_A NUMERIC &quot;0&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;<span class="keyword">-- Retrieval info: PRIVATE: AclrAddr NUMERIC &quot;0&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;<span class="keyword">-- Retrieval info: PRIVATE: AclrByte NUMERIC &quot;0&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;<span class="keyword">-- Retrieval info: PRIVATE: AclrOutput NUMERIC &quot;0&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;<span class="keyword">-- Retrieval info: PRIVATE: BYTE_ENABLE NUMERIC &quot;0&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;<span class="keyword">-- Retrieval info: PRIVATE: BYTE_SIZE NUMERIC &quot;8&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;<span class="keyword">-- Retrieval info: PRIVATE: BlankMemory NUMERIC &quot;0&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;<span class="keyword">-- Retrieval info: PRIVATE: CLOCK_ENABLE_INPUT_A NUMERIC &quot;0&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;<span class="keyword">-- Retrieval info: PRIVATE: CLOCK_ENABLE_OUTPUT_A NUMERIC &quot;0&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;<span class="keyword">-- Retrieval info: PRIVATE: Clken NUMERIC &quot;0&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;<span class="keyword">-- Retrieval info: PRIVATE: IMPLEMENT_IN_LES NUMERIC &quot;0&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;<span class="keyword">-- Retrieval info: PRIVATE: INIT_FILE_LAYOUT <span class="comment">STRING</span> &quot;PORT_A&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;<span class="keyword">-- Retrieval info: PRIVATE: INIT_TO_SIM_X NUMERIC &quot;0&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;<span class="keyword">-- Retrieval info: PRIVATE: INTENDED_DEVICE_FAMILY <span class="comment">STRING</span> &quot;Arria V&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;<span class="keyword">-- Retrieval info: PRIVATE: JTAG_ENABLED NUMERIC &quot;0&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;<span class="keyword">-- Retrieval info: PRIVATE: JTAG_ID <span class="comment">STRING</span> &quot;NONE&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;<span class="keyword">-- Retrieval info: PRIVATE: MAXIMUM_DEPTH NUMERIC &quot;0&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;<span class="keyword">-- Retrieval info: PRIVATE: MIFfilename <span class="comment">STRING</span> &quot;Si5338_ROM.mif&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;<span class="keyword">-- Retrieval info: PRIVATE: NUMWORDS_A NUMERIC &quot;512&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;<span class="keyword">-- Retrieval info: PRIVATE: RAM_BLOCK_TYPE NUMERIC &quot;0&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;<span class="keyword">-- Retrieval info: PRIVATE: RegAddr NUMERIC &quot;1&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;<span class="keyword">-- Retrieval info: PRIVATE: RegOutput NUMERIC &quot;0&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;<span class="keyword">-- Retrieval info: PRIVATE: SYNTH_WRAPPER_GEN_POSTFIX <span class="comment">STRING</span> &quot;0&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;<span class="keyword">-- Retrieval info: PRIVATE: SingleClock NUMERIC &quot;1&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;<span class="keyword">-- Retrieval info: PRIVATE: UseDQRAM NUMERIC &quot;0&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;<span class="keyword">-- Retrieval info: PRIVATE: WidthAddr NUMERIC &quot;9&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;<span class="keyword">-- Retrieval info: PRIVATE: WidthData NUMERIC &quot;24&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;<span class="keyword">-- Retrieval info: PRIVATE: rden NUMERIC &quot;0&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;<span class="keyword">-- Retrieval info: <span class="vhdlkeyword">LIBRARY</span>: altera_mf altera_mf.altera_mf_components.<span class="vhdlkeyword">all</span></span><span class="keyword"></span></div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;<span class="keyword">-- Retrieval info: <span class="vhdlkeyword">CONSTANT</span>: ADDRESS_ACLR_A <span class="comment">STRING</span> &quot;NONE&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;<span class="keyword">-- Retrieval info: <span class="vhdlkeyword">CONSTANT</span>: CLOCK_ENABLE_INPUT_A <span class="comment">STRING</span> &quot;BYPASS&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;<span class="keyword">-- Retrieval info: <span class="vhdlkeyword">CONSTANT</span>: CLOCK_ENABLE_OUTPUT_A <span class="comment">STRING</span> &quot;BYPASS&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;<span class="keyword">-- Retrieval info: <span class="vhdlkeyword">CONSTANT</span>: INIT_FILE <span class="comment">STRING</span> &quot;Si5338_ROM.mif&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;<span class="keyword">-- Retrieval info: <span class="vhdlkeyword">CONSTANT</span>: INTENDED_DEVICE_FAMILY <span class="comment">STRING</span> &quot;Arria V&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;<span class="keyword">-- Retrieval info: <span class="vhdlkeyword">CONSTANT</span>: LPM_HINT <span class="comment">STRING</span> &quot;ENABLE_RUNTIME_MOD=NO&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;<span class="keyword">-- Retrieval info: <span class="vhdlkeyword">CONSTANT</span>: LPM_TYPE <span class="comment">STRING</span> &quot;altsyncram&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;<span class="keyword">-- Retrieval info: <span class="vhdlkeyword">CONSTANT</span>: NUMWORDS_A NUMERIC &quot;512&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;<span class="keyword">-- Retrieval info: <span class="vhdlkeyword">CONSTANT</span>: OPERATION_MODE <span class="comment">STRING</span> &quot;ROM&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;<span class="keyword">-- Retrieval info: <span class="vhdlkeyword">CONSTANT</span>: OUTDATA_ACLR_A <span class="comment">STRING</span> &quot;NONE&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;<span class="keyword">-- Retrieval info: <span class="vhdlkeyword">CONSTANT</span>: OUTDATA_REG_A <span class="comment">STRING</span> &quot;UNREGISTERED&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;<span class="keyword">-- Retrieval info: <span class="vhdlkeyword">CONSTANT</span>: WIDTHAD_A NUMERIC &quot;9&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;<span class="keyword">-- Retrieval info: <span class="vhdlkeyword">CONSTANT</span>: WIDTH_A NUMERIC &quot;24&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;<span class="keyword">-- Retrieval info: <span class="vhdlkeyword">CONSTANT</span>: WIDTH_BYTEENA_A NUMERIC &quot;1&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;<span class="keyword">-- Retrieval info: USED_PORT: address </span><span class="vhdllogic">0</span> <span class="vhdllogic">0</span> <span class="vhdllogic">9</span> <span class="vhdllogic">0</span> INPUT NODEFVAL &quot;address[8..0]&quot;<span class="keyword"></span></div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;<span class="keyword">-- Retrieval info: USED_PORT: clock </span><span class="vhdllogic">0</span> <span class="vhdllogic">0</span> <span class="vhdllogic">0</span> <span class="vhdllogic">0</span> INPUT VCC &quot;clock&quot;<span class="keyword"></span></div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;<span class="keyword">-- Retrieval info: USED_PORT: q </span><span class="vhdllogic">0</span> <span class="vhdllogic">0</span> <span class="vhdllogic">24</span> <span class="vhdllogic">0</span> OUTPUT NODEFVAL &quot;q[23..0]&quot;<span class="keyword"></span></div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;<span class="keyword">-- Retrieval info: CONNECT: @address_a </span><span class="vhdllogic">0</span> <span class="vhdllogic">0</span> <span class="vhdllogic">9</span> <span class="vhdllogic">0</span> address <span class="vhdllogic">0</span> <span class="vhdllogic">0</span> <span class="vhdllogic">9</span> <span class="vhdllogic">0</span><span class="keyword"></span></div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;<span class="keyword">-- Retrieval info: CONNECT: @clock0 </span><span class="vhdllogic">0</span> <span class="vhdllogic">0</span> <span class="vhdllogic">0</span> <span class="vhdllogic">0</span> clock <span class="vhdllogic">0</span> <span class="vhdllogic">0</span> <span class="vhdllogic">0</span> <span class="vhdllogic">0</span><span class="keyword"></span></div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;<span class="keyword">-- Retrieval info: CONNECT: q </span><span class="vhdllogic">0</span> <span class="vhdllogic">0</span> <span class="vhdllogic">24</span> <span class="vhdllogic">0</span> @q_a <span class="vhdllogic">0</span> <span class="vhdllogic">0</span> <span class="vhdllogic">24</span> <span class="vhdllogic">0</span><span class="keyword"></span></div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;<span class="keyword">-- Retrieval info: GEN_FILE: TYPE_NORMAL SI5338_MEM.vhd TRUE</span><span class="keyword"></span></div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;<span class="keyword">-- Retrieval info: GEN_FILE: TYPE_NORMAL SI5338_MEM.inc FALSE</span><span class="keyword"></span></div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;<span class="keyword">-- Retrieval info: GEN_FILE: TYPE_NORMAL SI5338_MEM.cmp TRUE</span><span class="keyword"></span></div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;<span class="keyword">-- Retrieval info: GEN_FILE: TYPE_NORMAL SI5338_MEM.bsf FALSE</span><span class="keyword"></span></div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;<span class="keyword">-- Retrieval info: GEN_FILE: TYPE_NORMAL SI5338_MEM_inst.vhd FALSE</span><span class="keyword"></span></div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;<span class="keyword">-- Retrieval info: LIB_FILE: altera_mf</span></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:18 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
